# Scene class

An opaque object representing a composited scene.

To create a Scene object, use a SceneBuilder.

Scene objects can be displayed on the screen using the Window.render method.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

dispose() → void
  Releases the resources used by this scene. [...]
toImage(int width, int height) → Future<Image>
  Creates a raster image representation of the current state of the scene. This is a slow operation that is performed on a background thread.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited